# Luakit Documentation / Modules / binds

# Module `binds`

Default bind configuration for luakit

This module defines the default set of keybindings that luakit uses, in various modes.

## Functions

### binds.add_binds ()

Deprecated: use `modes.add_binds()` instead

Compatibility wrapper for `modes.add_binds()`.

### binds.add_cmds ()

Deprecated: use `modes.add_cmds()` instead

Compatibility wrapper for `modes.add_cmds()`.

## Properties

### binds.readline_bindings

Deprecated: use `bindings` instead
Type: table
Read-write
Readline bindings for the luakit input bar.

## Attribution

#### Copyright

- 2017 Aidan Holm
- 2010 Mason Larobina